JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Attributes | List of all members
AudioProcessor::BusProperties Struct Reference
juce_audio_processors » processors

Structure used for AudioProcessor Callbacks. More...

`#include <juce_AudioProcessor.h>`

## Public Attributes
String | busName
| The name of the bus.
AudioChannelSet | defaultLayout
| The default layout of the bus.
bool | isActivatedByDefault
| Is this bus activated by default?

## Detailed Description

Structure used for AudioProcessor Callbacks.

## Member Data Documentation

## ◆ busName

String AudioProcessor::BusProperties::busName

The name of the bus.

## ◆ defaultLayout

AudioChannelSet AudioProcessor::BusProperties::defaultLayout

The default layout of the bus.

## ◆ isActivatedByDefault

bool AudioProcessor::BusProperties::isActivatedByDefault

Is this bus activated by default?

The documentation for this struct was generated from the following file:

- juce_AudioProcessor.h